# Verify JWT

JWT (JSON Web Token) is an open standard that defines a compact and self-contained way for securely transmitting information between parties as a JSON object. To transmit information (send and receive), **VerifyJWT** is used in conjunction with **CreateJWT**.

***

## Properties

### Token

The encoded token. (See the [CreateJWT function](/reference/plugins/overview/content/createjwt.md) for details on how to create a token.)

### Algorithm

The algorithm used to encode the token.

#### HS256, HS384, HS512

**Secret Key**

Available only when the selected Algorithm is HS256, HS384, or HS512.

The secret key as a List or Base64 to decode the payload with.

***

#### RS256, RS384, RS512

The following properties are available only when the selected Algorithm is RS256, RS384, or RS512.

**Validate using**

The type of item to validate the token with.

Options:

* Certificate
* Public key

**Certificate**

The following properties are available when the *Validate using* property is set to 'Certificate':

**Certificate file path**

The file path to load the RSA key from.

**Certificate password**

The password protecting the key file.

**Public key**

The following properties are available when the *Validate using* property is set to 'Public key':

**Modulus**

The modulus as List or Base64 used for the public key.

**Exponent**

The exponent as List or Base64 used for the public key.

***

#### ES256, ES384, ES512

Available only when the selected Algorithm is ES256, ES384, or ES512.

**Load certificate from file**

Select to load the ECDSA key from a file.

**Private key**

Available only when the *Load certificate from file* property is *not* selected.

The private key as List or Base64 to encode the payload with.

**Certificate file path**

Available only when the *Load certificate from file* property is selected.

The file path to load the ECDSA key from.

**Certificate password**

Available only when the *Load certificate from file* property is selected.

The password protecting the key file.

***

## Links

[Introduction to JSON Web Tokens](https://jwt.io/introduction/)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/overview/content/verifyjwt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
